#include <iostream>
#include <queue>
#include <stdlib.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n;
    cin>>n;
    int horizontal[n];
    int vertikal[n];
    int sol=0;
    priority_queue <int> hor;
    priority_queue <int> ver;
    for(int i=0;i<n;i++)
    {
        horizontal[i]=0;
        vertikal[i]=0;
    }
    int help;
    for(int i=0;i<n;i++)
    {
        cin>>help;
        horizontal[help-1]++;
        if(horizontal[help-1]==2)hor.push(-help+1);
        cin>>help;
        vertikal[help-1]++;
        if(vertikal[help-1]==2)ver.push(-help+1);
    }
    for(int i=0;i<n;i++)
    {
        if(horizontal[i]==0)
        {
            horizontal[i]++;
            sol+=abs(-1*hor.top()-i);
            horizontal[hor.top()*-1]--;
            if(horizontal[hor.top()*-1]==1)hor.pop();
        }
    }
    for(int i=0;i<n;i++)
    {
        if(vertikal[i]==0)
        {
            vertikal[i]++;
            sol+=abs(-1*ver.top()-i);
            vertikal[ver.top()*-1]--;
            if(vertikal[ver.top()*-1]==1)ver.pop();
        }
    }
    cout<<sol;
}